Name:           perl-Catalyst-Plugin-PageCache
Version:        0.22
Release:        3%{?dist}
Summary:        Cache the output of entire pages
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-PageCache/
Source0:        http://www.cpan.org/authors/id/M/MR/MRAMBERG/Catalyst-Plugin-PageCache-%{version}.tar.gz
# Catalyst::Plugin::Cache::FileCache is deprecated, but necessary for testing
# this module. Rather than package a deprecated module, just include a private
# copy here for testing (license is also "same as perl")
# upstream bug at http://rt.cpan.org/Ticket/Display.html?id=47373
Source1:        http://search.cpan.org/src/MRAMBERG/Catalyst-Plugin-Cache-FileCache-0.7/lib/Catalyst/Plugin/Cache/FileCache.pm
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Catalyst::Plugin::I18N)
BuildRequires:  perl(Catalyst::Runtime)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(MRO::Compat) >= 0.10
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
# for FileCache
BuildRequires:  perl(Cache::FileCache)
BuildRequires:  perl(Class::Data::Inheritable)

Requires:       perl(Catalyst::Runtime)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Many dynamic websites perform heavy processing on most pages, yet this
information may rarely change from request to request. Using the PageCache
plugin, you can cache the full output of different pages so they are served
to your visitors as fast as possible. This method of caching is very useful
for withstanding a Slashdotting, for example.

%prep
%setup -q -n Catalyst-Plugin-PageCache-%{version}
iconv -f iso-8859-1 -t utf-8 README >README.conv && mv README.conv README
# install private copy file FileCache
install -D -m 0644 %{SOURCE1} t/lib/Catalyst/Plugin/Cache/FileCache.pm

%build
PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=yep make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.22-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.22-2
- rebuild against perl 5.10.1

* Sun Jul 19 2009 Iain Arnell 0.22-1
- Specfile autogenerated by cpanspec 1.78.
